Rygel.Playbin.Player – librygel-renderer-gst Reference Manual

# Player

## Object Hierarchy:

## Description:

public class Player : `Object`, `MediaPlayer`

Implementation of RygelMediaPlayer for GStreamer.

This class is useful only when implementing Rygel plugins.

Namespace: Rygel.Playbin
Package: librygel-renderer-gst

## Content:

### Properties:

- public dynamic `Element` playbin { get; }
- public `string` playback_state { set; owned get; }
- public `string`[] allowed_playback_speeds { owned get; }
- public `string` playback_speed { set; owned get; }
- public `string`? uri { set; owned get; }
- public `string`? mime_type { set; owned get; }
- public `string`? metadata { set; owned get; }
- public `bool` can_seek { get; }
- public `bool` can_seek_bytes { get; }
- public `string`? content_features { set; owned get; }
- public `double` volume { set; get; }
- public `int64` duration { get; }
- public `int64` size { get; }
- public `int64` position { get; }
- public `int64` byte_position { get; }
- public unowned `List`<`DLNAProfile`> supported_profiles { get; }

### Static methods:

- public static Player get_default ()
- public static Player instance () throws `Error`

### Creation methods:

- public Player.wrap (`Element` playbin)

### Methods:

- public `bool` seek (`int64` time)
- public `bool` seek_bytes (`int64` bytes)
- public `string`[] get_protocols ()
- public `string`[] get_mime_types ()

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count

All known members inherited from interface Rygel.MediaPlayer

- allowed_playback_speeds
- byte_position
- can_seek
- can_seek_bytes
- content_features
- duration
- duration_as_str
- metadata

- mime_type
- playback_speed
- playback_state
- position
- position_as_str
- protocol_info
- size

- uri
- volume
- get_mime_types
- get_protocols
- play_speed_to_double
- seek
- seek_bytes